> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vartiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

### Query Parameters

<ParamField query="appId" type="string" required>
  Filter webhooks by app ID
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="message" type="string">
  A message describing the result of the operation
</ResponseField>

<ResponseField name="data" type="array">
  Array of webhook objects

  <Expandable title="Properties">
    <ResponseField name="id" type="string">
      Unique identifier for the webhook
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the webhook
    </ResponseField>

    <ResponseField name="url" type="string">
      URL where webhook events will be sent
    </ResponseField>

    <ResponseField name="secret" type="string">
      Secret key for webhook verification
    </ResponseField>

    <ResponseField name="customHeaders" type="array">
      Array of custom headers

      <Expandable title="Header Object">
        <ResponseField name="key" type="string">
          Header key
        </ResponseField>

        <ResponseField name="value" type="string">
          Header value
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="headers" type="array">
      Array of default headers

      <Expandable title="Header Object">
        <ResponseField name="key" type="string">
          Header key
        </ResponseField>

        <ResponseField name="value" type="string">
          Header value
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      Timestamp when the webhook was created
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      Timestamp when the webhook was last updated
    </ResponseField>
  </Expandable>
</ResponseField>

### Response Example

```json theme={null}
{
  "success": true,
  "message": "Webhooks retrieved successfully",
  "data": [
    {
      "id": "wh_01JT39DVQGKA1RV4QNJ1VFRNW2",
      "name": "heelo",
      "url": "https://exp.com",
      "secret": "01JT39DVQJW3A49TR3XXFVM939",
      "customHeaders": [
        {
          "key": "x-app",
          "value": "x-value"
        }
      ],
      "headers": [
        {
          "key": "Content-Type",
          "value": "application/json"
        }
      ],
      "createdAt": "2025-04-30T12:06:00.703Z",
      "updatedAt": "2025-04-30T12:06:00.703Z"
    }
  ]
}
```
